%define _requires_exceptions pear(/usr/share/php-syslog-ng/includes/includes/common_funcs.php)

Name:       php-syslog-ng
Version:    2.9.8
Release:    %mkrel 4
Summary:    Web frontend for syslog-ng
License:    GPL
Group:      System/Servers
URL:        http://code.google.com/p/php-syslog-ng/
Source0:    http://php-syslog-ng.googlecode.com/files/%{name}-%{version}.tgz
Patch:      php-syslog-ng-2.9.8-fhs.patch
Requires:   apache-mod_php
Requires:   php-cli
Requires:   php-gd
Requires:   php-mysql
Requires:   php-xml
BuildArch:  noarch


%description
Php-Syslog-ng is a frontend for viewing syslog-ng messages logged to MySQL in
realtime. It features customized searches based on device, priority, date,
time, and message.

%prep
%setup -q -n %{name}
%patch -p 1

%install
install -d -m 755 %{buildroot}%{_var}/www/%{name}
cp -pr html/*.php %{buildroot}%{_var}/www/%{name}
cp -pr html/robots.txt %{buildroot}%{_var}/www/%{name}
cp -pr html/favicon.ico %{buildroot}%{_var}/www/%{name}
cp -pr html/css %{buildroot}%{_var}/www/%{name}
cp -pr html/images %{buildroot}%{_var}/www/%{name}
cp -pr html/install %{buildroot}%{_var}/www/%{name}
cp -pr html/userguide.doc %{buildroot}%{_var}/www/%{name}

install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}
touch %{buildroot}%{_sysconfdir}/%{name}/config.php

install -d -m 755 %{buildroot}%{_var}/lib/%{name}
(cd %buildroot%{_var}/www/%{name} && ln -s ../../lib/%{name} jpcache)

install -d -m 755 %{buildroot}%{_datadir}/%{name}/bin
install -m 755 scripts/dbgen.pl %{buildroot}%{_datadir}/%{name}/bin
install -m 755 scripts/resetusers.sh %{buildroot}%{_datadir}/%{name}/bin
install -m 644 scripts/*.php %{buildroot}%{_datadir}/%{name}/bin

# distribut include content
pushd html
find includes -type f -a -not -name '*.js' | \
    tar --create --files-from - --remove-files | \
    (cd %{buildroot}%{_datadir}/%{name} && tar --preserve --extract)
find includes -type f -a -name '*.js' | \
    tar --create --files-from - --remove-files | \
    (cd %{buildroot}%{_var}/www/%{name} && tar --preserve --extract)
popd

# apache conf
install -d -m 755 %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/php-syslog-ng.conf <<EOF
Alias /php-syslog-ng %{_var}/www/%{name}

<Directory "%{_var}/www/%{name}">
    Order allow,deny
    Allow from all
    php_value memory_limit 128M 
    php_value max_execution_time 300
</Directory>

<Directory "%{_var}/www/%{name}/install">
    Allow from localhost
</Directory>
EOF


%files
%doc html/CHANGELOG html/LICENSE html/README html/TROUBLESHOOTING-INSTALL
%config(noreplace) %{_webappconfdir}/php-syslog-ng.conf
%dir %{_sysconfdir}/php-syslog-ng
%config(noreplace) %attr(-,apache,apache) %{_sysconfdir}/php-syslog-ng/config.php
%{_var}/www/%{name}
%attr(-,apache,apache) %{_var}/lib/%{name}
%{_datadir}/%{name}

%changelog
* Mon Oct 10 2016 adrianomorselli <adrianomorselli> 1.9.8-4uplos2016
- rebuild

* Sun Mar 20 2016 bb <bb> 1.9.8-4pclos2016
- fix dependencies

* Sun Mar 13 2016 bb <bb> 1.9.8-3pclos2016
- rebuild
